org.apache.ignite.configuration

## Class BinaryConfiguration

- java.lang.Object
- - org.apache.ignite.configuration.BinaryConfiguration

    public class BinaryConfiguration
    extends Object

Configuration object for Ignite Binary Objects.

See Also:
  `IgniteBinary`

### Field Summary

Fields
`static boolean` `DFLT_COMPACT_FOOTER` Default compact footer flag setting.

### Constructor Summary

Constructors
Constructor and Description
`BinaryConfiguration()`

### Method Summary

Methods
`BinaryIdMapper` `getIdMapper()` Gets ID mapper.
`BinarySerializer` `getSerializer()` Gets serializer.
`Collection<BinaryTypeConfiguration>` `getTypeConfigurations()` Gets types configuration.
`boolean` `isCompactFooter()` Get whether to write footers in compact form.
`void` `setClassNames(Collection<String> clsNames)` Sets class names of binary objects explicitly.
`void` `setCompactFooter(boolean compactFooter)` Set whether to write footers in compact form.
`void` `setIdMapper(BinaryIdMapper idMapper)` Sets ID mapper.
`void` `setSerializer(BinarySerializer serializer)` Sets serializer.
`void` `setTypeConfigurations(Collection<BinaryTypeConfiguration> typeCfgs)` Sets type configurations.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DFLT_COMPACT_FOOTER

    public static final boolean DFLT_COMPACT_FOOTER

Default compact footer flag setting.

See Also:
  Constant Field Values

### Constructor Detail

#### BinaryConfiguration

    public BinaryConfiguration()

### Method Detail

#### setClassNames

    public void setClassNames(Collection<String> clsNames)

Sets class names of binary objects explicitly.

Parameters:
  `clsNames` - Class names.

#### getIdMapper

    public BinaryIdMapper getIdMapper()

Gets ID mapper.

Returns:
  ID mapper.

#### setIdMapper

    public void setIdMapper(BinaryIdMapper idMapper)

Sets ID mapper.

Parameters:
  `idMapper` - ID mapper.

#### getSerializer

    public BinarySerializer getSerializer()

Gets serializer.

Returns:
  Serializer.

#### setSerializer

    public void setSerializer(BinarySerializer serializer)

Sets serializer.

Parameters:
  `serializer` - Serializer.

#### getTypeConfigurations

    public Collection<BinaryTypeConfiguration> getTypeConfigurations()

Gets types configuration.

Returns:
  Types configuration.

#### setTypeConfigurations

    public void setTypeConfigurations(Collection<BinaryTypeConfiguration> typeCfgs)

Sets type configurations.

Parameters:
  `typeCfgs` - Type configurations.

#### isCompactFooter

    public boolean isCompactFooter()

Get whether to write footers in compact form. When enabled, Ignite will not write fields metadata when serializing objects, because internally `BinaryMarshaller` already distribute metadata inside cluster. This increases serialization performance.

WARNING! This mode should be disabled when already serialized data can be taken from some external sources (e.g. cache store which stores data in binary form, data center replication, etc.). Otherwise binary objects without any associated metadata could appear in the cluster and Ignite will not be able to deserialize it.

Defaults to `DFLT_COMPACT_FOOTER`.

Returns:
  Whether to write footers in compact form.

#### setCompactFooter

    public void setCompactFooter(boolean compactFooter)

Set whether to write footers in compact form. See `isCompactFooter()` for more info.

Parameters:
  `compactFooter` - Whether to write footers in compact form.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015